---
# city level
# 基本建設規則
# 若遭受攻擊則暫停建設
- is_attacked:
    # we are in Peace :D
    0:
      # TODO adjust human resources
      - is_constructing:
         0:
            # XXX: 這樣會一口氣買同等城市數量的船耶
            # - is_gold_enoughforcargo:
               # 1: increaseTransporter
            - is_corruption:
               1:
                  - is_warehouse_enougn_for_governorsresidence:
                     0: build_warehouse
                     1: build_governorsresidence
            - is_any_corruption:
               0: 
                  - is_space_enough:
                     0: 
                        - is_resource_enoghforHall:
                           1: build_townHall
                  - is_wall_enough:
                     0: build_wall
                  # 倉庫庫存量
                  - is_warehouse_enough:
                     0: build_warehouse
                  - is_happiness:
                     0:
                        - is_winepress_researched:
                           1:
                              - is_tavern_available:
                                 0: build_tavern
                                 1: 
                                    - is_bacchanal:
                                       0: set_tavern
                                       1: build_tavern
                  - is_navyExpenditure_available:
                     1:
                        - is_professionalarmy_researched:
                           1:
                              - is_shipyard_level_enough:
                                 0: build_shipyard
                  - is_milityExpenditure_available:
                     1:
                        - is_professionalarmy_researched:
                           1:
                              - is_barracks_level_enough:
                                 0: build_barracks
            # TODO
            # build_safehouse
            # is_espionage_researched
            #    1: 
            #       - build_hideout

            # 水晶島應該建設 
            # is_invention_researched
            #    1: 
            #       - build_workshop 
            # build_academy

            # build_palace (Expansion, Capital only)

            # 大使館
            # build_embassy 

            # 要蓋到何種程度?
            # is_culturalexchange_resaerched
            #    1: 
            #       - build_museum
